ndelay_off(3)

NAME
ndelay_off - put file descriptor in non-blocking mode

SYNTAX
#include <libowfat/ndelay.h> extern int ndelay_off(int fd);

DESCRIPTION
ndelay_off puts a file descriptor in blocking mode. Reading from and writing to blocking network sockets, FIFOs or device files will possibly not return immediately but wait on more input or buffer space for output. If an error occurred, ndelay_off will return nonzero and set errno accordingly.

SEE ALSO
fcntl(2), ndelay_on(3)